Subject: Re: [bug#71914] [PATCH 00/10] gnu: Add python-nh3.

From: Nguyễn Gia Phong <[email-masked]>
Date: Wed, 03 Jul 2024 18:44:43 +0900

On 2024-07-03 at 12:24+03:00, Efraim Flashner wrote:
> On Wed, Jul 03, 2024 at 06:20:03PM +0900, Nguyễn Gia Phong wrote:
> > On 2024-07-03 at 12:07+03:00, Efraim Flashner wrote:
> > > There were a couple of missing bits, which I found
> > > while building all the packages affected:
> > > rust-pyo3-macros-0.21, rust-pyo3-macros-0.20:
> > > Needs python-minimal as a native-input [...]
> > >
> > > I used the following command to build all the packages:
> > > ./pre-inst-env guix build --no-grafts --fallback --max-jobs=3 rust-typed-arena@2 [email-masked] [email-masked] rust-ammonia@4 rust-pyo3{,-{build-config,ffi,macros-backend,macros}}@0.{20,21} python-nh3
> > 
> > So because Rust is statically compiled,
> > each package needs to be (built and) tested individually?
>
> Yeah, its an unfortunate side effect of using the sources of the
> packages instead of an output. There has been talk in the upstream
> rust community about providing a stable-ish interface
> so that we can reuse build artifacts from one build to another.

Thank you, that's good to know.

On 2024-07-03 at 12:27+03:00, Efraim Flashner wrote:
> On Wed, Jul 03, 2024 at 06:12:51PM +0900, Nguyễn Gia Phong wrote:
> > what's the general etiquette for sending revisions
> > of a subset of the patch series?
>
> I don't think we have a consensus. On one hand re-sending unchanged
> patches is "wasteful", on the other hand it makes it easier to work
> on a set of patches (or a revision of patches) in one go.
>
> I think I normally end up with a single updated patch if there's
> a change to only one patch, but otherwise I normally send out
> a whole new set and then in 0000-v2 I mention what changes
> there are compared to the previous version.

Thanks, guess that'd be best for compatibility with everyone's tooling.